Subject: bug#26824: 24.5; Bytecode overflow error when byte compiling large .el file

From: [email-masked]
Date: Mon, 15 May 2017 23:16:38 -0400

Christian Wittern <[email-masked]> writes:

> Well, yes.  But I expect the timing then to be slower (although I did
> not really test this), because I would have to go sequentially through
> the alist, so I went with this inelegant method, which at least
> responses fast, even without bytecompiling.

You just need to make nested alists, as in

    '(("T" . ((1 . ((0011102 . "KR6a0001_001.txt")
                    (0011102 . "KR6a0001_001.txt")
                    (0016212 . "KR6a0001_002.txt")
                    (0016212 . "KR6a0001_002.txt")
                    (0023303 . "KR6a0001_003.txt")
                    (0023303 . "KR6a0001_003.txt")
                    (0030206 . "KR6a0001_004.txt"))))))

The `cond' form tests each case in sequence, so it should be about the
same speed as an cl-assoc-if lookup.